SIGFILLSET(P)

NAME
sigfillset - initialize and fill a signal set

SYNOPSIS

#include <signal.h>

int sigfillset(sigset_t *set);

DESCRIPTION

The sigfillset() function shall initialize the signal set pointed to by set, such that all signals defined in this volume of IEEE Std 1003.1-2001 are included.

RETURN VALUE

Upon successful completion, sigfillset() shall return 0; otherwise, it shall return -1 and set errno to indicate the error.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

Refer to sigemptyset() .

FUTURE DIRECTIONS

None.

SEE ALSO

Signal Concepts , sigaction() , sigaddset() , sigdelset() , sigemptyset() , sigismember() , sigpending() , sigprocmask() , sigsuspend() , the Base Definitions volume of IEEE Std 1003.1-2001, <signal.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .